> ## Documentation Index
> Fetch the complete documentation index at: https://developers.podero.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Federated Providers

> Enabled utility SSO providers — public PKCE config the app's sign-in screen renders from.



## OpenAPI

````yaml https://app.podero.com/api/partners/v2.0/openapi.json get /api/partners/v2.0/auth/federated/providers
openapi: 3.1.0
info:
  title: Podero Partner API
  version: '2.0'
  description: >-
    This API provides a unified interaction point for Podero's partner
    companies.


    The goal of this API is to give partners easily integratable endpoints that
    don't require extensive software

    development. For this reason, the endpoints focus around user and device
    management, setting of preferences

    and high level device controls.


    While direct control of devices is implemented for special use cases such as
    pause power, we abstract away low level

    direct device steering so developers and partners can focus on delivering
    maximum value to end users.
  termsOfService: https://www.podero.com/terms-and-conditions
servers: []
security: []
paths:
  /api/partners/v2.0/auth/federated/providers:
    get:
      tags:
        - Authentication
      summary: Federated Providers
      description: >-
        Enabled utility SSO providers — public PKCE config the app's sign-in
        screen renders from.
      operationId: integrations_api_api_v2_auth_router_federated_providers
      parameters: []
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/FederatedProviderOutput'
                title: Response
                type: array
components:
  schemas:
    FederatedProviderOutput:
      properties:
        key:
          title: Key
          type: string
        label:
          title: Label
          type: string
        issuer:
          title: Issuer
          type: string
        client_id:
          title: Client Id
          type: string
      required:
        - key
        - label
        - issuer
        - client_id
      title: FederatedProviderOutput
      type: object

````